Bug 217304 - SMTP authentication as client is broken
SMTP authentication as client is broken
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
6
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-26 15:31 EST by Luis A. Florit
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 12:02:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sendmail.mc file (6.57 KB, text/plain)
2006-11-26 15:31 EST, Luis A. Florit
no flags Details

  None (edit)
Description Luis A. Florit 2006-11-26 15:31:41 EST
Description of problem:
I installed FC6 in a second HD, copied all sendmail configs (same sendmail 
version 8.13.8, copied send»»» mail.mc, authinfo, etc), did a make, m4, etc, 
restarted sendmail. I only want to use sendmail to d»»» eliver email to the 
real
smtp server. But the emails are rejected with the error:
                                                                                                      
<<< 530 5.7.0 Authentication required
554 5.0.0 Service unavailable

The EXACT same authinfo, sendmail.cf, etc files still work perfecty in FC5.

Version-Release number of selected component (if applicable):
sendmail-8.13.8-2

How reproducible:
$ sendmail -Am -t -v < test
<xxxx@xxxxx>... Connecting to smtp.xxxxxx. port 587 via relay...
220 smtp.xxxxx ESMTP Sendmail 8.13.1/8.13.1; Sun, 26 Nov 2006 18:12:29 -0200
>>> EHLO Antares.xxxxx
250-smtp.xxxxxx Hello antares.xxxxxxx [147.65.4.179], pleased to meet you
250-ENHANCEDSTATUSCODES
250-PIPELINING
250-8BITMIME
250-SIZE 7100000
250-AUTH DIGEST-MD5 CRAM-MD5
250-STARTTLS
250-DELIVERBY
250 HELP
>>> STARTTLS
220 2.0.0 Ready to start TLS
>>> EHLO Antares.xxxxxx
250-smtp.xxxxxxxxxx Hello antares.xxxxxx [147.65.4.179], pleased to meet you
250-ENHANCEDSTATUSCODES
250-PIPELINING
250-8BITMIME
250-SIZE 7100000
250-AUTH DIGEST-MD5 CRAM-MD5 LOGIN PLAIN
250-DELIVERBY
250 HELP
>>> MAIL From:<xxxx@xxxxxxxx> SIZE=38
530 5.7.0 Authentication required
Closing connection to smtp.xxxxx.
>>> QUIT
221 2.0.0 smtp.xxxxxxx closing connection

That is, THERE IS NO AUTH PLAIN transaction.

Steps to Reproduce:
1. Try to use smtp auth

Actual results:
Email rejected with "Authentication Required"

Expected results:
Email delivered.

Additional info:
In the /var/log/maillog file I have this:

Antares sendmail[21748]: AUTH=client, relay=smtp.xxxx [147.65.1.27], authinfo 
failed

So, for some reason, the authinfo feature is not working anymore.
See the sendmail.mc file attached.
I tried modifying/commenting/uncommenting the lines with TRUST_AUTH_MECH, 
define(`confAUTH_MECHANISMS'), etc, same results.
Comment 1 Luis A. Florit 2006-11-26 15:31:41 EST
Created attachment 142136 [details]
sendmail.mc file
Comment 2 Thomas Woerner 2007-07-31 09:40:03 EDT
Please install cyrus-sasl-plain, it should solve your problem.
Comment 3 Thomas Woerner 2007-08-29 12:02:47 EDT
This bug entry was in needinfo for some time. Closing due to user inactivity as
"NOT A BUG".

Note You need to log in before you can comment on or make changes to this bug.